<div class="page-item-edit">
  <form *ngIf="itemForm" [formGroup]="itemForm" >
    <p class="item-edit__server-error-msg" *ngIf="serverErrorMessage">
      {{serverErrorMessage}}
    </p>
    <mat-form-field class="item-edit__name" appearance="fill">
      <mat-label>Enter item name</mat-label>
      <input formControlName="name" [disabled]="isPending" type="email" matInput placeholder="name">
      <mat-error *ngIf="isInvalid('name')">
        {{getErrorMessage('name')}}
      </mat-error>
    </mat-form-field>
    <mat-form-field class="item-edit__description" appearance="fill">
      <mat-label>Description</mat-label>
      <textarea formControlName="description" [disabled]="isPending" matInput rows="10" ></textarea>
    </mat-form-field>
    <mat-form-field class="item-edit__cost" appearance="fill" floatLabel="always">
      <mat-label>Cost</mat-label>
      <input formControlName="cost" [disabled]="isPending" matInput type="text" class="item-edit__cost-input" placeholder="0">
      <span matTextPrefix>$&nbsp;</span>
      <mat-error *ngIf="isInvalid('cost')">
        {{getErrorMessage('cost')}}
      </mat-error>
    </mat-form-field>
    <div class="item-edit__actions">
      <button [disabled]="itemForm.invalid || isPending" (click)="onSave()" mat-raised-button color="primary"
              class="item-edit__save">Save</button>
      <button (click)="onCancel()" mat-raised-button class="item-edit__cancel">Cancel</button>
    </div>
  </form>
</div>
